	PROGRAM main
	 IMPLICIT NONE

	 REAL, DIMENSION(5)        :: A1
	 REAL, DIMENSION(4, 3)     :: A2
	 REAL, DIMENSION(3, 2, 2)  :: A3
	 REAL, DIMENSION(1:2, 2:3) :: A4

	 print *, "size(A1) = ", size(A1)
	 print *, "size(A2) = ", size(A2)
	 print *, "size(A3) = ", size(A3)
	 print *, "size(A4) = ", size(A4)

	 print *, "size(A3,1) = ", size(A3,1)
	 print *, "size(A3,2) = ", size(A3,2)
	 print *, "size(A3,3) = ", size(A3,3)
	END
